streaming-commons-0.1.18: Common lower-level functions needed by various streaming data libraries

Safe Haskell | None
Language | Haskell98

Data.Streaming.ByteString.Builder.Class

Description

Typeclass to stream blaze-builder and bytestring(-builder) `Builder`s.

Since 0.1.10.0

Synopsis

- class Monoid b => StreamingBuilder b where
- module Data.Streaming.ByteString.Builder

# Documentation

class Monoid b => StreamingBuilder b where #

Typeclass to stream blaze-builder (< 0.4) and bytestring(-builder) `Builder`s. This is primarily to aid the transition from blaze-builder to bytestring `Builder`s (if using blaze-builder >= 0.4, there is only one instance, since the `Builder` type is shared).

Since 0.1.10.0

Minimal complete definition

newBuilderRecv, builderFlush

Methods

newBuilderRecv :: BufferAllocStrategy -> IO (b -> IO BuilderPopper, BuilderFinish) #

builderFlush :: b #

Instances

StreamingBuilder Builder # |
Methods newBuilderRecv :: BufferAllocStrategy -> IO (Builder -> IO BuilderPopper, BuilderFinish) # builderFlush :: Builder #

module Data.Streaming.ByteString.Builder